﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Globalization;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class RadGridWithDatePicker : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void RadGrid1_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
    {
        DataTable table = new DataTable();
        table.Columns.Add("Column1", typeof(DateTime));

        table.Rows.Add(new DateTime(9999, 12, 31));
        table.Rows.Add(new DateTime(9999, 12, 31));
        table.Rows.Add(new DateTime(9999, 12, 31));
        table.Rows.Add(new DateTime(9999, 12, 31));

        RadGrid1.DataSource = table;
    }
    protected void RadGrid1_ItemDataBound(object sender, Telerik.Web.UI.GridItemEventArgs e)
    {
        if (e.Item is GridEditableItem)
        {
            GridEditableItem editItem = e.Item as GridEditableItem;
            if (editItem.IsInEditMode && editItem.OwnerTableView.IsItemInserted)
            {
                RadDatePicker radDpEnd = (RadDatePicker)editItem.FindControl("radDpEDate");
                radDpEnd.SelectedDate = Convert.ToDateTime("12/31/9999", new CultureInfo("en-US"));
                radDpEnd.DateInput.Attributes.Add("onclick", "dateInputClick(this, event); return false;");
            }

        }
    }
}